Bug 963186 - python-backports-ssl_match_hostname: Denial of service when matching certificate with many '*' wildcard characters
Summary: python-backports-ssl_match_hostname: Denial of service when matching certific...
Keywords:
Status: CLOSED DUPLICATE of bug 963260
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-15 11:02 UTC by Jan Lieskovsky
Modified: 2021-02-17 07:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-15 14:50:18 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2013-05-15 11:02:05 UTC
A denial of service flaw was found in the way python-backports-ssl_match_hostname, an implementation that brings the ssl.match_hostname() function from Python 3.2 to users of earlier versions of Python, performed matching of the certificate's name in the case it contained many '*' wildcard characters. A remote attacker, able to obtain valid certificate with its name containing a lot of '*' wildcard characters, could use this flaw to cause denial of service (excessive CPU time consumption) by issuing request to validate that certificate for / in an application using the python-backports-ssl_match_hostname functionality.

Upstream bug report:
[1] http://bugs.python.org/issue17980

Acknowledgements:

This issue was discovered by Florian Weimer of Red Hat Product Security Team.

Comment 1 Jan Lieskovsky 2013-05-15 11:04:40 UTC
This issue affects the versions of the python-backports-ssl_match_hostname package as shipped with Fedora release of 17, 18, and Fedora EPEL-6. Please schedule an update (once there is final upstream patch available).

Comment 2 Jan Lieskovsky 2013-05-15 11:07:04 UTC
Created python-backports-ssl_match_hostname tracking bugs for this issue

Affects: fedora-all [bug 963187]
Affects: epel-6 [bug 963188]

Comment 3 Jan Lieskovsky 2013-05-15 11:37:20 UTC
CVE request:
  http://www.openwall.com/lists/oss-security/2013/05/15/6

and Python 3.2 case follow-up:
  http://www.openwall.com/lists/oss-security/2013/05/15/7
(will file independent Python 3.2 bug shortly - after the lunch)

Comment 4 Jan Lieskovsky 2013-05-15 14:50:18 UTC

*** This bug has been marked as a duplicate of bug 963260 ***


Note You need to log in before you can comment on or make changes to this bug.